# Requester (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.sftp
Interface Requester

All Known Implementing Classes:
  SFTPEngine

    public interface Requester

Method Summary
`Response` `doRequest(Request req)`
`PathHelper` `getPathHelper()`
`Request` `newRequest(PacketType type)`

Method Detail

### getPathHelper

    PathHelper getPathHelper()

### newRequest

    Request newRequest(PacketType type)

### doRequest

    Response doRequest(Request req)
                       throws IOException

  Throws:
    `IOException`

Copyright © 2009-2012. All Rights Reserved.